package com.ifish.dto;

import java.util.Date;

/**
 * 用户动态
 * @author Administrator
 *
 */
public class UserActivityDto {
	/**
	 * 动态ID
	 */
	private Integer activityId;
	/**
	 * 用户ID
	 */
	private Integer userId;
	/**
	 * 头像
	 */
	private String userImg;
	/**
	 * 昵称
	 */
	private String nickName;
	/**
	 * 等级
	 */
	private Integer gradeNum;
	/**
	 * 动态类型
	 */
	private String activityType;
	/**
	 * 创建时间
	 */
	private Date createTime;
	
	public UserActivityDto() { }
	
	public UserActivityDto(Integer activityId, Integer userId,String activityType, Date createTime) {
		this.activityId = activityId;
		this.userId = userId;
		this.activityType = activityType;
		this.createTime = createTime;
		this.gradeNum = 0;
	}

	public Integer getActivityId() {
		return activityId;
	}
	public void setActivityId(Integer activityId) {
		this.activityId = activityId;
	}
	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	public String getUserImg() {
		return userImg;
	}
	public void setUserImg(String userImg) {
		this.userImg = userImg;
	}
	public String getNickName() {
		return nickName;
	}
	public void setNickName(String nickName) {
		this.nickName = nickName;
	}
	public Integer getGradeNum() {
		return gradeNum;
	}
	public void setGradeNum(Integer gradeNum) {
		this.gradeNum = gradeNum;
	}
	public String getActivityType() {
		return activityType;
	}
	public void setActivityType(String activityType) {
		this.activityType = activityType;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	
}
